Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
Class JmxOperationInfoManager

    java.lang.Object
      groovy.jmx.builder.JmxOperationInfoManager

    class JmxOperationInfoManager
    extends Object

This class is responsible for assembling JMX Operation Info from the meta map. It cycles through the provided meta map from the bean() node and generate JMX Info objects used to expose information in the MBeanServer.

author:
  Vladimir Vivien

see:
  JmxMetaMapBuilder

Constructor Summary
`JmxOperationInfoManager()`

Method Summary
`static List` | `buildParamInfosFromMaps(Map metaMap)` Build an array of MBeanParameterInfo from the operation's meta map.
`static ModelMBeanOperationInfo` | `createGetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for getter operation specified by the MetaProperty.
`static ModelMBeanOperationInfo` | `createSetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for setter operation specified by the MetaProperty.
`static ModelMBeanConstructorInfo` | `getConstructorInfoFromMap(Map map)` This method extracts ModelMBeanConstructorInfo from provided meta map.
`static List` | `getConstructorInfosFromMap(Map metaMap)` This method extracts an array of MBeanConstructorInfo from a list of meta maps.
`static ModelMBeanOperationInfo` | `getOperationInfoFromMap(Map map)` Generates a ModelMBeanOperationInfo object from a meta map provided.
`static List` | `getOperationInfosFromMap(Map metaMap)` This method extracts an array of MBeanOperationInfo from a list of meta maps.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### JmxOperationInfoManager

    JmxOperationInfoManager()

Method Detail

### buildParamInfosFromMaps

    public static List buildParamInfosFromMaps(Map metaMap)

  Build an array of MBeanParameterInfo from the operation's meta map.
  param:
    the meta map containing the param info
  return:
    an array of JMX MBeanParameterInfo

### createGetterOperationInfoFromProperty

    public static ModelMBeanOperationInfo createGetterOperationInfoFromProperty(MetaProperty prop)

  Returns a MBean operation info for getter operation specified by the MetaProperty. Since no meta map is provided, this method will generate all default descriptor values to describe the operation.
  param:
    prop - the property object on the POGO/POJO that represents a getter
  return:
    a ModelMBeanOperation info built

### createSetterOperationInfoFromProperty

    public static ModelMBeanOperationInfo createSetterOperationInfoFromProperty(MetaProperty prop)

  Returns a MBean operation info for setter operation specified by the MetaProperty. Since no meta data is provided, this method will generate all default descriptor values to describe operation.
  param:
    prop - the property object on the POGO/POJO that represents a setter
  return:
    a ModelMBeanOperation info built

### getConstructorInfoFromMap

    public static ModelMBeanConstructorInfo getConstructorInfoFromMap(Map map)

  This method extracts ModelMBeanConstructorInfo from provided meta map. It also iterates over any parameters and builds the necessary MBeanParameterInfo array.
  param:
    meta map containing descriptor information
  return:
    the fully realized ModelMBeanConstructorInfo for the provided constructor reference.

### getConstructorInfosFromMap

    public static List getConstructorInfosFromMap(Map metaMap)

  This method extracts an array of MBeanConstructorInfo from a list of meta maps.
  param:
    list of meta maps
  return:
    array of ModelMBeanConstructorInfo

### getOperationInfoFromMap

    public static ModelMBeanOperationInfo getOperationInfoFromMap(Map map)

  Generates a ModelMBeanOperationInfo object from a meta map provided.
  param:
    the meta map for the method
  return:
    the generated ModelMBeanOprationInfo

### getOperationInfosFromMap

    public static List getOperationInfosFromMap(Map metaMap)

  This method extracts an array of MBeanOperationInfo from a list of meta maps.
  param:
    list of meta maps
  return:
    array of ModelMBeanOperationInfo

Copyright © 2003-2009 The Codehaus. All rights reserved.